ACPICPU(4)

NAME
acpicpu - ACPI processor power and performance state

SYNOPSIS
acpicpu* at acpi?

DESCRIPTION
The acpicpu driver provides support for extracting processor power and performance levels from ACPI tables. This information is used to enter deeper CPU power states when idle, and can be used to throttle processor speed to reduce power usage and extend battery life through the hw.setperf sysctl(3) mechanism.

SEE ALSO
sysctl(3), acpi(4), cpu(4), intro(4), apmd(8), sysctl(8)

HISTORY
The acpicpu driver first appeared in OpenBSD 3.9.

AUTHORS
-nosplit The acpicpu driver was written by Marco Peereboom <marco@openbsd.org>. CPU power state (C-state) support was added by Philip Guenther <guenther@openbsd.org>.